<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="@dimen/lot_things_size"
    android:layout_height="101dp"
    android:background="@drawable/shape_rect_round_11_solid_white_50p">

    <ImageView
        android:id="@+id/lotIcon"
        android:layout_width="56dp"
        android:layout_height="56dp"
        android:layout_marginStart="20dp"
        android:contentDescription="@null"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:src="@mipmap/icon_dspf_fs" />

    <TextView
        android:id="@+id/lotName"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="10dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="#FF333333"
        android:textSize="16sp"
        app:layout_constraintEnd_toStartOf="@id/lotSwitch"
        app:layout_constraintStart_toEndOf="@id/lotIcon"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="智能通风" />

    <ImageView
        android:id="@+id/lotSwitch"
        android:layout_width="45dp"
        android:layout_height="20dp"
        android:layout_marginTop="18dp"
        android:layout_marginEnd="20dp"
        android:contentDescription="@null"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:src="@mipmap/icon_kg_k" />

    <ImageView
        android:id="@+id/lotModeImage"
        android:layout_width="16dp"
        android:layout_height="18dp"
        android:layout_marginTop="20dp"
        android:contentDescription="@null"
        app:layout_constraintStart_toStartOf="@id/lotName"
        app:layout_constraintTop_toBottomOf="@id/lotName"
        tools:src="@mipmap/icon_dspf_rgpf" />

    <TextView
        android:id="@+id/lotModeText"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="5dp"
        android:textColor="#FF0183FA"
        android:textSize="14sp"
        app:layout_constraintStart_toEndOf="@id/lotModeImage"
        app:layout_constraintTop_toTopOf="@id/lotModeImage"
        tools:text="人工排风" />

    <androidx.constraintlayout.widget.Group
        android:id="@+id/lotMode_group"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:constraint_referenced_ids="lotModeImage,lotModeText" />

</androidx.constraintlayout.widget.ConstraintLayout>